From a40bb83b09772ae67c7a7d279e96f7ddf4eff082 Mon Sep 17 00:00:00 2001
From: root <root@localhost.localdomain>
Date: Tue, 22 Sep 2020 07:59:17 -0400
Subject: [PATCH] appendPQExpBufferStr

---
 src/bin/scripts/reindexdb.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/bin/scripts/reindexdb.c b/src/bin/scripts/reindexdb.c
index 40dcbc9..f63bf88 100644
--- a/src/bin/scripts/reindexdb.c
+++ b/src/bin/scripts/reindexdb.c
@@ -614,7 +614,7 @@ get_parallel_object_list(PGconn *conn, ReindexType type,
 	{
 		case REINDEX_DATABASE:
 			Assert(user_list == NULL);
-			appendPQExpBuffer(&catalog_query,
+			appendPQExpBufferStr(&catalog_query,
 							  "SELECT c.relname, ns.nspname\n"
 							  " FROM pg_catalog.pg_class c\n"
 							  " JOIN pg_catalog.pg_namespace ns"
@@ -637,7 +637,7 @@ get_parallel_object_list(PGconn *conn, ReindexType type,
 				 * All the tables from all the listed schemas are grabbed at
 				 * once.
 				 */
-				appendPQExpBuffer(&catalog_query,
+				appendPQExpBufferStr(&catalog_query,
 								  "SELECT c.relname, ns.nspname\n"
 								  " FROM pg_catalog.pg_class c\n"
 								  " JOIN pg_catalog.pg_namespace ns"
@@ -652,14 +652,14 @@ get_parallel_object_list(PGconn *conn, ReindexType type,
 					const char *nspname = cell->val;
 
 					if (nsp_listed)
-						appendPQExpBuffer(&catalog_query, ", ");
+						appendPQExpBufferStr(&catalog_query, ", ");
 					else
 						nsp_listed = true;
 
 					appendStringLiteralConn(&catalog_query, nspname, conn);
 				}
 
-				appendPQExpBuffer(&catalog_query, ")\n"
+				appendPQExpBufferStr(&catalog_query, ")\n"
 								  " ORDER BY c.relpages DESC;");
 			}
 			break;
-- 
1.8.3.1

